.file-upload {
    display: flex;
    align-items: center;
    column-gap: rem(12);
    row-gap: rem(12);

    &__button {
        overflow: hidden;
        display: block;
        font-weight: 400;
        position: relative;
        grid-column: span 3;

        input {
            top: 0;
            left: 0;
            width: 0;
            height: 0;
            opacity: 0;
            display: block;
            overflow: hidden;
            position: absolute;
            visibility: hidden;
        }
    }

    &__label {
        cursor: pointer;
        color: var(--gray);
        stroke: var(--gray);
        font-style: normal;
        font-size: rem(14);
        line-height: rem(20);
        display: flex;
        align-items: center;
        justify-content: flex-start;
        column-gap: rem(6);

        i {
            font-size: 0;
            line-height: 0;
            flex-shrink: 0;
            height: rem(14);
            display: inline-block;
        }

        &:hover {
            color: var(--gray-dark);
            stroke: var(--gray-dark);
        }

        &:after {
            content: attr(data-upload-attach);
        }
    }

    &__item {
        width: rem(46);
        height: rem(46);
        display: block;
        position: relative;

        img {
            display: block;
            overflow: hidden;
            border-radius: rem(6);
        }
    }

    &__remove {
        top: -4px;
        right: -4px;
        z-index: 10;
        width: 14px;
        height: 14px;
        border: none;
        outline: none;
        display: block;
        cursor: pointer;
        background: white;
        border-radius: 50%;
        position: absolute;
        box-shadow: var(--shadow);

        &:after,
        &:before {
            top: calc(50% - 1px);
            left: calc(50% - 4px);
            content: '';
            width: 8px;
            height: 1px;
            background: black;
            border-radius: 2px;
            position: absolute;
        }

        &:after {
            transform: rotate(45deg);
        }

        &:before {
            transform: rotate(-45deg);
        }
    }

    &--uploaded {

        .file-upload {

            &__button {

            }

            &__label {
                width: rem(46);
                height: rem(46);
                border-radius: rem(6);
                border: 1px solid #D9D9D9;
                justify-content: center;
                transition: var(--transition-time);

                &:after,
                &:before {
                    top: calc(50% - 1px);
                    left: calc(50% - 7px);
                    content: '';
                    width: 14px;
                    height: 2px;
                    background: var(--gray-dark);
                    border-radius: 2px;
                    position: absolute;
                    transition: var(--transition-time);
                }

                &:before {
                    transform: rotate(90deg);
                }

                span {
                    display: none;
                }

                i {
                    display: none;
                }

                &:hover {
                    border-color: var(--dark);
                    transition: var(--transition-time);

                    &:after,
                    &:before {
                        background: var(--dark);
                    }
                }
            }
        }
    }
}
